/*******************************************************************************
 * ZeOnlineStatsWrite generated by Eliot.UELib using UE Explorer.
 * Eliot.UELib ? 2009-2015 Eliot van Uytfanghe. All rights reserved.
 * http://eliotvu.com
 *
 * All rights belong to their respective owners.
 *******************************************************************************/
class ZeOnlineStatsWrite extends OnlineStatsWrite
    native;

var int InstanceId;
var bool bIsActive;
var bool bAllowWrite;
var native const Map_Mirror IntStats;
var native const Map_Mirror FloatStats;

// Export UZeOnlineStatsWrite::execAddGenericIntStat(FFrame&, void* const)
native function AddGenericIntStat(name InStatName, int InData);

// Export UZeOnlineStatsWrite::execAddGenericFloatStat(FFrame&, void* const)
native function AddGenericFloatStat(name InStatName, float InData);

function FreeMemory()
{
    Properties.Length = 0;
    StatNameToStatIdMapping.Length = 0;
    //return;    
}

// Export UZeOnlineStatsWrite::execGetIntStat(FFrame&, void* const)
native function int GetIntStat(int StatId);

// Export UZeOnlineStatsWrite::execGetStringStat(FFrame&, void* const)
native function string GetStringStat(int StatId);

// Export UZeOnlineStatsWrite::execGetFloatStat(FFrame&, void* const)
native function float GetFloatStat(int StatId);

// Export UZeOnlineStatsWrite::execPrintLog(FFrame&, void* const)
native function string PrintLog();

// Export UZeOnlineStatsWrite::execFinalize(FFrame&, void* const)
native function Finalize();

// Export UZeOnlineStatsWrite::execShouldWriteStats(FFrame&, void* const)
native function bool ShouldWriteStats();

defaultproperties
{
    InstanceId=-1
    bIsActive=true
    bAllowWrite=true
}